> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/player-software.md).

# Player Software

## Search Player Versions

> Search Player Versions

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"paths":{"/playersoftware":{"get":{"tags":["Player Software"],"summary":"Search Player Versions","description":"Search Player Versions","operationId":"playerSoftwareSearch","parameters":[{"name":"playerType","in":"query","description":"Filter by player type","required":false,"schema":{"type":"string"}},{"name":"playerVersion","in":"query","description":"Filter by player version","required":false,"schema":{"type":"string"}},{"name":"playerCode","in":"query","description":"Filter by player code","required":false,"schema":{"type":"integer"}},{"name":"versionId","in":"query","description":"Filter by version ID","required":false,"schema":{"type":"integer"}},{"name":"playerShowVersion","in":"query","description":"Filter by player show version name","required":false,"schema":{"type":"string"}},{"name":"sortBy","in":"query","description":"Specifies which field the results are sorted by. Used together with sortDir","required":false,"schema":{"type":"string","enum":["versionId","type","version","code","playerShowVersion","fileName","size","createdAt","modifiedAt","modifiedBy"]}},{"name":"sortDir","in":"query","description":"Sort direction","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"successful operation","headers":{"X-Total-Count":{"description":"The total number of records","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PlayerVersion"}}}}}}}}},"components":{"schemas":{"PlayerVersion":{"description":"Class PlayerVersion","properties":{"versionId":{"description":"Version ID","type":"integer","nullable":true},"type":{"description":"Player type","type":"string","nullable":true},"version":{"description":"Version number","type":"string","nullable":true},"code":{"description":"Code number","type":"integer","nullable":true},"playerShowVersion":{"description":"Player version to show","type":"string","nullable":true},"createdAt":{"description":"The Player Version created date","type":"string","nullable":true},"modifiedAt":{"description":"The Player Version modified date","type":"string","nullable":true},"modifiedBy":{"description":"The name of the user that modified this Player Version last","type":"string","nullable":true},"fileName":{"description":"The Player Version file name","type":"string","nullable":true},"size":{"description":"The Player Version file size in bytes","type":"integer","nullable":true},"md5":{"description":"A MD5 checksum of the stored Player Version file","type":"string","nullable":true}},"type":"object"}}}}
```

## Player Software Upload

> Upload a new Player version file

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"paths":{"/playersoftware":{"post":{"tags":["Player Software"],"summary":"Player Software Upload","description":"Upload a new Player version file","operationId":"playersoftwareUpload","requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"required":["files"],"properties":{"files":{"description":"The Uploaded File","type":"string","format":"binary"}},"type":"object"}}}},"responses":{"200":{"description":"successful operation"}}}}}}
```

## Search Player Version by ID

> Get the Player Version object specified by the provided versionId

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"paths":{"/playersoftware/{versionId}":{"get":{"tags":["Player Software"],"summary":"Search Player Version by ID","description":"Get the Player Version object specified by the provided versionId","operationId":"playerSoftwareSearchById","parameters":[{"name":"versionId","in":"path","description":"Numeric ID of the Player Version to get","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlayerVersion"}}}}}}}},"components":{"schemas":{"PlayerVersion":{"description":"Class PlayerVersion","properties":{"versionId":{"description":"Version ID","type":"integer","nullable":true},"type":{"description":"Player type","type":"string","nullable":true},"version":{"description":"Version number","type":"string","nullable":true},"code":{"description":"Code number","type":"integer","nullable":true},"playerShowVersion":{"description":"Player version to show","type":"string","nullable":true},"createdAt":{"description":"The Player Version created date","type":"string","nullable":true},"modifiedAt":{"description":"The Player Version modified date","type":"string","nullable":true},"modifiedBy":{"description":"The name of the user that modified this Player Version last","type":"string","nullable":true},"fileName":{"description":"The Player Version file name","type":"string","nullable":true},"size":{"description":"The Player Version file size in bytes","type":"integer","nullable":true},"md5":{"description":"A MD5 checksum of the stored Player Version file","type":"string","nullable":true}},"type":"object"}}}}
```

## Edit Player Version

> Edit a Player Version file information

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"paths":{"/playersoftware/{versionId}":{"put":{"tags":["Player Software"],"summary":"Edit Player Version","description":"Edit a Player Version file information","operationId":"playersoftwareEdit","parameters":[{"name":"versionId","in":"path","description":"The Version ID to Edit","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"properties":{"playerShowVersion":{"description":"The Name of the player version application, this will be displayed in Version dropdowns in Display Profile and Display","type":"string"},"version":{"description":"The Version number","type":"string"},"code":{"description":"The Code number","type":"integer"}},"type":"object"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlayerVersion"}}}}}}}},"components":{"schemas":{"PlayerVersion":{"description":"Class PlayerVersion","properties":{"versionId":{"description":"Version ID","type":"integer","nullable":true},"type":{"description":"Player type","type":"string","nullable":true},"version":{"description":"Version number","type":"string","nullable":true},"code":{"description":"Code number","type":"integer","nullable":true},"playerShowVersion":{"description":"Player version to show","type":"string","nullable":true},"createdAt":{"description":"The Player Version created date","type":"string","nullable":true},"modifiedAt":{"description":"The Player Version modified date","type":"string","nullable":true},"modifiedBy":{"description":"The name of the user that modified this Player Version last","type":"string","nullable":true},"fileName":{"description":"The Player Version file name","type":"string","nullable":true},"size":{"description":"The Player Version file size in bytes","type":"integer","nullable":true},"md5":{"description":"A MD5 checksum of the stored Player Version file","type":"string","nullable":true}},"type":"object"}}}}
```

## Delete Version

> Delete Version file from the Library and Player Versions table

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"paths":{"/playersoftware/{versionId}":{"delete":{"tags":["Player Software"],"summary":"Delete Version","description":"Delete Version file from the Library and Player Versions table","operationId":"playerSoftwareDelete","parameters":[{"name":"versionId","in":"path","description":"The Version ID to Delete","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"successful operation"}}}}}}
```

## Player Software Metadata

> Returns distinct player types, versions and valid upload extensions for use in filter dropdowns and upload configuration

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"paths":{"/playersoftware/meta":{"get":{"tags":["Player Software"],"summary":"Player Software Metadata","description":"Returns distinct player types, versions and valid upload extensions for use in filter dropdowns and upload configuration","operationId":"playerSoftwareMeta","responses":{"200":{"description":"successful operation"}}}}}}
```

## Download Player Version file

> Download Player Version file

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"paths":{"/playersoftware/download/{id}":{"get":{"tags":["Player Software"],"summary":"Download Player Version file","description":"Download Player Version file","operationId":"playersoftwareDownload","parameters":[{"name":"id","in":"path","description":"The Player Version ID to Download","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","headers":{"X-Sendfile":{"description":"Apache Send file header - if enabled.","schema":{"type":"string"}},"X-Accel-Redirect":{"description":"nginx send file header - if enabled.","schema":{"type":"string"}}},"content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/player-software.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
